Subject: bug#11104: 24.0.94; (void-function make-local-hook): Update NEWS maybe?

From: Stefan Monnier <[email-masked]>
Date: Thu, 29 Mar 2012 08:50:33 -0400

> Yes.  The `gnus-make-local-hook' uses the 'ignore function for its
> backward-compatibility function.  The Sphinx said we should use
> 'identity for the defalias.  So I'm a bit loss.  But that's okay,
> I can live with it.

To be backward compatible, a redefinition of make-local-hook should use
`identity' so as to return the same value as the old definition did.
For gnus-make-local-hook that's not necessary because Gnus's code
doesn't use the return value of make-local-hook.

        Stefan